package xgs.net.validation.impl;

import com.jfinal.plugin.activerecord.Model;
import xgs.net.validation.annotation.Validation;
import xgs.net.validation.entity.FieldEntity;
import xgs.net.validation.entity.ModelEntity;
import xgs.net.validation.entity.ValidationEntity;
import xgs.net.validation.entity.ValidationErrorMsg;

@Validation("required")
public class RequiredValidate extends AbstractValidation
{
    @Override
    public void executor(final ModelEntity me, final FieldEntity fe, final ValidationEntity ve, final Model model, final ValidationErrorMsg errorMsg) {
        if (!ve.getRequired()) {
            return;
        }
        final Object value = model.get(fe.getField());
        String val = null;
        if (!(value instanceof String)) {
            val = String.valueOf(model.get(fe.getField()));
        }
        else {
            val = (String)value;
        }
        if (val == null || val.trim() == "" || val == "null") {
            errorMsg.getErrors().add(ve.getMessage());
        }
    }
}
