package xgs.net.handle;

import com.jfinal.core.Action;
import com.jfinal.core.JFinal;
import com.jfinal.handler.Handler;
import com.jfinal.render.RenderManager;
import xgs.net.entity.Msg;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Uri404Handle extends Handler
{
    public void handle(final String target, final HttpServletRequest request, final HttpServletResponse response, final boolean[] isHandled) {
        final String[] urlPara = { null };
        final Action action = JFinal.me().getAction(target, urlPara);
        if (action == null) {
            Msg msg = new Msg();
            msg.setCode(404);
            msg.setMsg("\u627e\u4e0d\u5230\u8def\u5f84");
            RenderManager.me().getRenderFactory().getJsonRender(msg).setContext(request, response).render();
            isHandled[0] = true;
            return;
        }
        this.next.handle(target, request, response, isHandled);
    }
}
