package xgs.net.utils;

import com.jfinal.json.JFinalJson;

import java.math.BigInteger;

public class MyJson extends JFinalJson
{
    protected String toJson(Object value, int depth) {
        if (value == null || depth-- < 0) {
            return "null";
        }
        if (value instanceof Long || value instanceof BigInteger) {
            return "\"" + String.valueOf(value) + "\"";
        }
        return super.toJson(value, depth);
    }
}
