package xgs.net.image;

import xgs.net.util.ImageUtil;

import java.io.File;
import java.io.IOException;

public class Test
{
  public static void main(String[] args)
    throws IOException
  {
    File file = new File("C:\\Users\\hasee\\Pictures", "20171206151505.png");
    ImageUtil.regionCenter(file, Integer.valueOf(200), Integer.valueOf(200));
  }
  
  public static Long fromStringWhitoutHyphens(String str)
  {
    if (str.length() != 32) {
      throw new IllegalArgumentException("Invalid UUID string: " + str);
    }
    String s1 = "0x" + str.substring(0, 8);
    String s2 = "0x" + str.substring(9, 12);
    String s3 = "0x" + str.substring(13, 16);
    String s4 = "0x" + str.substring(17, 20);
    String s5 = "0x" + str.substring(21, 32);
    
    long mostSigBits = Long.decode(s1).longValue();
    mostSigBits <<= 16;
    mostSigBits |= Long.decode(s2).longValue();
    mostSigBits <<= 16;
    mostSigBits |= Long.decode(s3).longValue();
    
    long leastSigBits = Long.decode(s4).longValue();
    leastSigBits <<= 48;
    leastSigBits |= Long.decode(s5).longValue();
    
    return Long.valueOf(mostSigBits ^ leastSigBits);
  }
}
