package xgs.net.model.base;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;

public abstract class BaseFileUpload<M extends BaseFileUpload<M>>
  extends Model<M>
  implements IBean
{
  public void setId(Long id)
  {
    set("id", id);
  }
  
  public Long getId()
  {
    return getLong("id");
  }
  
  public void setFileName(String fileName)
  {
    set("file_name", fileName);
  }
  
  public String getFileName()
  {
    return getStr("file_name");
  }
  
  public void setFileType(String fileType)
  {
    set("file_type", fileType);
  }
  
  public String getFileType()
  {
    return getStr("file_type");
  }
  
  public void setFilePath(String filePath)
  {
    set("file_path", filePath);
  }
  
  public String getFilePath()
  {
    return getStr("file_path");
  }
  
  public void setFileExt(String fileExt)
  {
    set("file_ext", fileExt);
  }
  
  public String getFileExt()
  {
    return getStr("file_ext");
  }
  
  public void setFileSize(Long fileSize)
  {
    set("file_size", fileSize);
  }
  
  public Long getFileSize()
  {
    return getLong("file_size");
  }
  
  public void setCreateTime(Long createTime)
  {
    set("create_time", createTime);
  }
  
  public Long getCreateTime()
  {
    return getLong("create_time");
  }
}
