package xgs.net.util;

import com.jfinal.kit.Base64Kit;
import xgs.net.Base64Entity;

public class Base64Util
{
  public static final Base64Entity parse(String str)
  {
    String prefix = str.replaceAll("data:(image.*?);base64,.*", "$1");
    String ext = prefix.replaceAll("image\\/(.*?)", "$1");
    String content = str.replaceFirst("data:image.*?;base64,(.*)", "$1");
    Base64Entity entity = new Base64Entity();
    entity.setContent(Base64Kit.decode(content));
    entity.setType(prefix);
    entity.setExt(ext);
    return entity;
  }
}
