package xgs.net.edomain;

public enum BooleanEnum
{
    TRUE(1, "1", "true", true), 
    FALSE(0, "0", "false", false);
    
    private Integer value;
    private String valueStr;
    private String desc;
    private Boolean valueBool;
    
    public Integer getValue() {
        return this.value;
    }
    
    public void setValue(final Integer value) {
        this.value = value;
    }
    
    public String getValueStr() {
        return this.valueStr;
    }
    
    public void setValueStr(final String valueStr) {
        this.valueStr = valueStr;
    }
    
    public String getDesc() {
        return this.desc;
    }
    
    public void setDesc(final String desc) {
        this.desc = desc;
    }
    
    private BooleanEnum(final Integer value, final String valueStr, final String desc, final Boolean valueBool) {
        this.value = value;
        this.valueStr = valueStr;
        this.desc = desc;
        this.valueBool = valueBool;
    }
    
    public static Boolean findBoolByValue(final String value) {
        for (final BooleanEnum booleanEnum : values()) {
            if (booleanEnum.getValueStr().equals(value)) {
                return booleanEnum.valueBool;
            }
        }
        return null;
    }
}
