package xgs.net.utils;

import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.util.Arrays;

public class AESUtils
{
    public static String encrypt(final String secret, final String value) {
        final SecretKeySpec keySpec = getKey(secret);
        final IvParameterSpec iv = new IvParameterSpec("0102030405060708".getBytes());
        try {
            final Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
            cipher.init(1, keySpec, iv);
            final byte[] encrypted = cipher.doFinal(value.getBytes(Charsets.UTF_8));
            return Base64Utils.encode(encrypted);
        }
        catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
    
    public static String decrypt(final String secret, final String value) {
        final SecretKeySpec keySpec = getKey(secret);
        final IvParameterSpec iv = new IvParameterSpec("0102030405060708".getBytes());
        try {
            final Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
            cipher.init(2, keySpec, iv);
            final byte[] encrypted1 = Base64Utils.decodeBase64(value);
            final byte[] original = cipher.doFinal(encrypted1);
            return new String(original, Charsets.UTF_8);
        }
        catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
    
    private static SecretKeySpec getKey(final String secret) {
        final byte[] bytes = secret.getBytes(Charsets.UTF_8);
        return new SecretKeySpec(Arrays.copyOf(bytes, 16), "AES");
    }
    
    public static void main(final String[] args) {
        final String test = "123456";
        final String secret = "0001";
        final String encode = encrypt(secret, test);
        System.out.println("\u539f\u6587\uff1a\t\t" + test);
        System.out.println("\u52a0\u5bc6\u5bc6\u7801\uff1a\t" + secret);
        System.out.println("\u52a0\u5bc6\u540e\uff1a\t" + encode);
        System.out.println("\u89e3\u5bc6\u540e\uff1a\t" + decrypt(secret, encode));
    }
}
