import Location from '../location'
import bridge from 'Bridge'
export class App extends Location {
  getLocation () {
    return new Promise((resolve, reject) => {
      bridge.init((b) => {
        b.callHandler('mapUtils', {}, (res) => {
          resolve(JSON.parse(res))
        })
      })
    })
  }
  getNavigationList () {
    return new Promise((resolve, reject) => {
      bridge.init((b) => {
        b.callHandler('mapList', {}, (res) => {
          resolve(JSON.parse(res))
        })
      })
    })
  }
  Navigation (type, lat, lng) {
    bridge.init((b) => {
      let point = this.convert4type(type, lat, lng)
      b.callHandler('mapNavigation', {type, lat: point.lat, lng: point.lng}, (res) => {})
    })
  }
  covent2Baidu (lat, lng) {
    return new Promise((resolve, reject) => {
      bridge.init((b) => {
        b.callHandler('covent2Baidu', {lat, lng}, (res) => {
          resolve(JSON.parse(res))
        })
      })
    })
  }
}
