import Location from '../location'
// import {bmap} from '../../../base/js/config'
import bmap from '@/common/components/baidumap/index'
export class DevLocation extends Location {
  // getLocation () {
  //   return new Promise((resolve, reject) => {
  //     if (!('geolocation' in window.navigator)) {
  //       let ret = {
  //         code: 201,
  //         msg: 'no browser support'
  //       }
  //       resolve(ret)
  //     } else {
  //       let options = {
  //         enableHighAccuracy: true,
  //         timeout: 5000,
  //         maximumAge: 0
  //       }
  //       window.navigator.geolocation.getCurrentPosition(
  //         position => {
  //           let ret = {
  //             code: 200,
  //             data: {
  //               lat: position.coords.latitude,
  //               lng: position.coords.longitude
  //             }
  //           }
  //           resolve(ret)
  //         },
  //         () => {
  //           debugger
  //           let ret = {
  //             code: 201,
  //             msg: 'no position access'
  //           }
  //           resolve(ret)
  //         },
  //         options
  //       )
  //     }
  //   })
  // }
  getLocation () {
    return new Promise((resolve, reject) => {
      bmap.invoke().then(map => {
        var geolocation = new map.Geolocation()
        geolocation.getCurrentPosition(
          function (res) {
            if (this.getStatus() === window.BMAP_STATUS_SUCCESS) {
              let ret = {
                code: 200,
                data: {
                  lat: res.point.lat,
                  lng: res.point.lng
                }
              }
              resolve(ret)
            } else {
              let ret = {
                code: 201,
                msg: this.getStatus()
              }
              resolve(ret)
            }
          },
          { enableHighAccuracy: true }
        )
      })
    })
  }
  getNavigationList () {
    return new Promise((resolve, reject) => {
      let ret = {
        code: 200,
        data: []
      }
      resolve(ret)
    })
  }
  Navigation (type, lat, lng) {}
  covent2Baidu (lat, lng) {
    return new Promise((resolve, reject) => {
      bmap.invoke().then(map => {
        var ggPoint = new map.Point(lng, lat)
        var convertor = new map.Convertor()
        var pointArr = []
        pointArr.push(ggPoint)
        convertor.translate(pointArr, 1, 5, res => {
          if (res.status !== 0) {
            let ret = {
              code: 201,
              msg: res.status
            }
            resolve(ret)
            return
          }
          let point = res.points[0]
          let ret = {
            code: 200,
            data: {
              lat: point.lat,
              lng: point.lng
            }
          }
          resolve(ret)
        })
      })
    })
  }
}

let location = new DevLocation()
export default location
