
export default class PayInterface {
  /**
   * z
   *
   * @param {orderId} orderId 支付订单号
   * {
   *  res //回传参数
   *  data:[
   *    {
   *     "appId":"wx2421b1c4370ec43b",     //公众号名称，由商户传入
         "timeStamp":"1395712654",         //时间戳，自1970年以来的秒数
         "nonceStr":"e61463f8efa94090b1f366cccfbbb444", //随机串
         "package":"prepay_id=u802345jgfjsdfgsdg888",
         "signType":"MD5",         //微信签名方式：
         "paySign"
   *    }
   *    ...
   *  ]
   * }
   */

  // 发起支付
  choosePay (data) {
    throw new Error('支付接口未实现')
  }
}
