package xgs.net.controller;

import xgs.net.annotation.ControllerKey;
import xgs.net.annotation.Method;
import xgs.net.annotation.Service;
import xgs.net.entity.Msg;
import xgs.net.plugin.ioc.IocKit;
import xgs.net.service.InfoListService;

@ControllerKey("li")
public class InfoListController extends BaseController {

    private InfoListService infoListService = IocKit.getBean(InfoListService.class);

    @Method(Method.TYPE.POST)
    public void save(){
        String name = this.getPara("name");
        String collega = this.getPara("collega");
        String type = this.getPara("type");
        String phone = this.getPara("mobile");
        String postion = this.getPara("postion");
        Integer isParty = this.getParaToInt("isParty");
        String work = this.getPara("work");
        Long sendDate = this.getParaToLong("sendDate");
        infoListService.save(name,collega,type,postion,phone,isParty,work,sendDate);
        this.renderMyJson(new Msg());
    }

    @Method(Method.TYPE.POST)
    public void page(){
        Msg msg = new Msg();
        String type = this.getPara("type");
        msg.setData(infoListService.page(this.getPage(),type));
        this.renderMyJson(msg);
    }
}
