package xgs.net.validation.impl;

import com.jfinal.plugin.activerecord.Model;
import xgs.net.validation.annotation.Validation;
import xgs.net.validation.entity.FieldEntity;
import xgs.net.validation.entity.ModelEntity;
import xgs.net.validation.entity.ValidationEntity;
import xgs.net.validation.entity.ValidationErrorMsg;

@Validation("digits")
public class DigitsValidation extends AbstractValidation
{
    @Override
    public void executor(final ModelEntity me, final FieldEntity fe, final ValidationEntity ve, final Model model, final ValidationErrorMsg errorMsg) {
        if (model.get(fe.getField()) == null) {
            return;
        }
        try {
            final int _v = model.getInt(fe.getField());
            if (_v < 0) {
                errorMsg.getErrors().add(ve.getMessage());
            }
        }
        catch (Exception e) {
            errorMsg.getErrors().add(ve.getMessage());
        }
    }
}
