package xgs.net.validation.utils;

import xgs.net.validation.XgsValidation;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class ValidatePool
{
    private static Map<String, XgsValidation> pools;
    
    public static void init(final String name, final XgsValidation xv) {
        ValidatePool.pools.put(name, xv);
    }
    
    public static XgsValidation get(final String name) {
        return ValidatePool.pools.get(name);
    }
    
    static {
        ValidatePool.pools = new ConcurrentHashMap<String, XgsValidation>();
    }
}
