package xgs.net.controller;

import com.jfinal.core.Controller;
import com.jfinal.plugin.redis.Cache;
import com.jfinal.plugin.redis.Redis;
import xgs.net.entity.Msg;
import xgs.net.entity.OperaterEntity;
import xgs.net.entity.PageEntity;
import xgs.net.interceptors.ValidationInterceptor;
//import xgs.net.model.TbUser;
//import xgs.net.model.TbUser;
import xgs.net.token.JwtToken;
import xgs.net.utils.WebUtils;

public class BaseController extends Controller
{
    private static final String memberSession = "group";
    private static final int expire = 7*60*60*24;
    private static Cache redis;

    
    protected String generateKey(final String JwtToken) {
        return memberSession + "-" + JwtToken;
    }
    
//    protected void cacheToken(final String JwtToken, final TbUser user) {
//        BaseController.redis.setex(this.generateKey(JwtToken), expire, user);
//    }
    
    protected PageEntity getPage() {
        PageEntity entity = new PageEntity();
        entity.setPageNo(this.getParaToInt("pageNumber", 1));
        entity.setPageSize(this.getParaToInt("pageSize", 10));
        return entity;
    }
//
//    public TbUser getUser() {
//        String token = this.getRequest().getHeader(ValidationInterceptor.XToken);
//        String key = this.generateKey(token);
//        TbUser member = BaseController.redis.get(this.generateKey(token));
//        if (member != null) {
//            BaseController.redis.expire(key, expire);
//        }
//        return member;
//    }

    
    protected void renderMyJson(Msg msg) {
        this.renderJson(msg);
    }
    
//    protected OperaterEntity getOperaterEntity() {
//        final OperaterEntity operaterEntity = new OperaterEntity();
//        operaterEntity.setOperateTime(System.currentTimeMillis());
//        operaterEntity.setOperateIp(WebUtils.getIP(this.getRequest()));
//        operaterEntity.setOperator(this.getUser().getUserNick());
//        operaterEntity.setOperatorId(this.getUser().getId());
//        return operaterEntity;
//    }
//
//    protected Msg setToken(final TbUser member) {
//        final String token = JwtToken.createToken(member.getId());
//        this.cacheToken(token, member);
//        member.put(ValidationInterceptor.XToken, token);
//        final Msg msg = new Msg();
//        member.setSalt(null);
//        member.setPwd(null);
//        member.setStatus(null);
//        member.removeNullValueAttrs();
//        msg.setData(member);
//        return msg;
//    }
    
    static {
        BaseController.redis = Redis.use();
    }
}
