package xgs.net.plugin.tips;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import xgs.net.plugin.tips.ruanwei.interfacej.SmsClientSend;

import java.util.ArrayList;
import java.util.List;

public class RuanweiSMS implements TipsInterface
{
    Logger logger = LoggerFactory.getLogger(this.getClass());
    private static final String url = "http://client.movek.net:8888/sms.aspx";
    private static final String userid = "1004";
    private static final String account = "SDK-A150-1004";
    private static final String password = "336699";
    

    @Override
    public void send(String target, String content) {
        final async a = new async(target, content);
        new Thread(a).start();
    }
    
    @Override
    public void send(List<String> target, String content) {
        String mobiles = "";
        for (String s : target) {
            mobiles = mobiles + "," + s;
        }
        mobiles = mobiles.substring(1);
        final async a = new async(mobiles, content);
        new Thread(a).start();
    }
    
    public static void main(String[] args) {
        final List<String> str = new ArrayList<String>();
        str.add("17361699191");
        str.add("18606697159");
        new RuanweiSMS().send(str, "【\u6211\u7684\u6d4b\u8bd5\u77ed\u4fe1】");
    }
    
    class async implements Runnable
    {
        String content;
        String mobiles;
        
        async(String mobiles, String content) {
            this.mobiles = mobiles;
            this.content = content;
        }
        
        @Override
        public void run() {
            try {
                RuanweiSMS.this.logger.debug(this.content);
                final String ret = SmsClientSend.sendSms(url, userid, account, password, this.mobiles, this.content);
                RuanweiSMS.this.logger.info(ret);
            }
            catch (Exception e) {
                e.printStackTrace();
            }
        }
    }
}
