package xgs.net.utils;

import com.alibaba.fastjson.serializer.SerializeConfig;
import com.jfinal.json.IJsonFactory;
import com.jfinal.json.Json;
import com.jfinal.plugin.activerecord.Record;

public class MyJsonFactory implements IJsonFactory
{
    private static final MyJsonFactory me;
    
    public static MyJsonFactory me() {
        return MyJsonFactory.me;
    }
    
    public Json getJson() {
        return new MyJson();
    }
    
    public void removeRecordSerializer() {
        SerializeConfig.getGlobalInstance().put(Record.class, null);
    }
    
    static {
        me = new MyJsonFactory();
    }
}
