package xgs.net.plugin.ioc;

import java.lang.reflect.Field;
import java.util.List;

class IocObject
{
    private Object target;
    private List<Field> fields;
    
    public List<Field> getFields() {
        return this.fields;
    }
    
    public void setFields(final List<Field> fields) {
        this.fields = fields;
    }
    
    public IocObject(final Object target, final List<Field> fields) {
        this.target = target;
        this.fields = fields;
    }
    
    public Object getTarget() {
        return this.target;
    }
    
    public void setTarget(final Object target) {
        this.target = target;
    }
}
