package xgs.net.entity;

public class PageEntity
{
    private int pageNo;
    private int pageSize;
    private int offset;
    
    public PageEntity() {
        this.pageNo = 1;
        this.pageSize = 10;
    }
    
    public int getPageNo() {
        return this.pageNo;
    }
    
    public void setPageNo(final int pageNo) {
        this.pageNo = pageNo;
    }
    
    public int getPageSize() {
        return this.pageSize;
    }
    
    public void setPageSize(final int pageSize) {
        this.pageSize = pageSize;
    }
    
    public void setOffset(final int offset) {
        this.offset = offset;
    }
    
    public int getOffset() {
        return (this.pageNo - 1) * this.pageSize;
    }
}
