package xgs.net.exception;

import com.jfinal.kit.Prop;
import com.jfinal.kit.PropKit;

public class XgsException extends RuntimeException
{
    private static final Prop prop;
    private static final long serialVersionUID = 1L;
    private int code;
    
    public XgsException(final int code) {
        super(XgsException.prop.get(String.valueOf(code), (String)null));
        this.code = code;
    }
    
    public XgsException(final int code, final String msg) {
        super(msg);
        this.code = code;
    }
    
    public int getCode() {
        return this.code;
    }
    
    public static int getCode(final String str) {
        return XgsException.prop.getInt(str);
    }
    
    static {
        prop = PropKit.use("exception.properties");
    }
}
