package xgs.net.utils;

public class UnicodeUtils {

    /*
     * 中文编码转unicode
     */
    public static String gbEncoding(final String gbString) {
        char[] chars = gbString.toCharArray();
        String returnStr = "";
        for (int i = 0; i < chars.length; i++) {
            returnStr += "\\u" + Integer.toString(chars[i], 16);
        }
        return returnStr;
    }


    /*
     * unicode编码转中文
     */
    public static String decodeUnicode(final String dataStr) {
        /** 以 \ u 分割，因为java注释也能识别unicode，因此中间加了一个空格*/
        String[] strs = dataStr.split("\\\\u");
        String returnStr = "";
        // 由于unicode字符串以 \ u 开头，因此分割出的第一个字符是""。
        for (int i = 1; i < strs.length; i++) {
            returnStr += (char) Integer.valueOf(strs[i], 16).intValue();
        }
        return returnStr;
    }
}
