import request from '../axios'
import qs from 'qs'
import httpInterface from '../http'

export class Weixin extends httpInterface {
  get (_url, params) {
    return request({
      url: _url,
      method: 'get',
      params: params
    })
  }
  /**
   * {
   *  code:200
   *  msg:'',
   *  data:Object
   * }
   */
  post (_url, params) {
    return request({
      url: _url,
      method: 'post',
      data: qs.stringify(params)
    })
  }
}
let http = new Weixin()
export default http
