const area = [
  { id: 33, tag: 'J', text: '嘉峪关' },
  { id: 34, tag: 'J', text: '金昌' },
  { id: 35, tag: 'B', text: '白银' },
  { id: 36, tag: 'L', text: '兰州' },
  { id: 37, tag: 'J', text: '酒泉' },
  { id: 38, tag: 'D', text: '大兴安岭' },
  { id: 39, tag: 'H', text: '黑河' },
  { id: 40, tag: 'Y', text: '伊春' },
  { id: 41, tag: 'Q', text: '齐齐哈尔' },
  { id: 42, tag: 'J', text: '佳木斯' },
  { id: 43, tag: 'H', text: '鹤岗' },
  { id: 44, tag: 'S', text: '绥化' },
  { id: 45, tag: 'S', text: '双鸭山' },
  { id: 46, tag: 'J', text: '鸡西' },
  { id: 47, tag: 'Q', text: '七台河' },
  { id: 48, tag: 'H', text: '哈尔滨' },
  { id: 49, tag: 'M', text: '牡丹江' },
  { id: 50, tag: 'D', text: '大庆' },
  { id: 51, tag: 'B', text: '白城' },
  { id: 52, tag: 'S', text: '松原' },
  { id: 53, tag: 'C', text: '长春' },
  { id: 54, tag: 'Y', text: '延边' },
  { id: 55, tag: 'J', text: '吉林' },
  { id: 56, tag: 'S', text: '四平' },
  { id: 57, tag: 'B', text: '白山' },
  { id: 58, tag: 'S', text: '沈阳' },
  { id: 59, tag: 'F', text: '阜新' },
  { id: 60, tag: 'T', text: '铁岭' },
  { id: 61, tag: 'H', text: '呼伦贝尔' },
  { id: 62, tag: 'X', text: '兴安盟' },
  { id: 63, tag: 'X', text: '锡林郭勒' },
  { id: 64, tag: 'T', text: '通辽' },
  { id: 65, tag: 'H', text: '海西' },
  { id: 66, tag: 'X', text: '西宁' },
  { id: 67, tag: 'H', text: '海北' },
  { id: 68, tag: 'H', text: '海南' },
  { id: 69, tag: 'H', text: '海东' },
  { id: 70, tag: 'H', text: '黄南' },
  { id: 71, tag: 'Y', text: '玉树' },
  { id: 72, tag: 'G', text: '果洛' },
  { id: 73, tag: 'G', text: '甘孜' },
  { id: 74, tag: 'D', text: '德阳' },
  { id: 75, tag: 'C', text: '成都' },
  { id: 76, tag: 'Y', text: '雅安' },
  { id: 77, tag: 'M', text: '眉山' },
  { id: 78, tag: 'Z', text: '自贡' },
  { id: 79, tag: 'L', text: '乐山' },
  { id: 80, tag: 'L', text: '凉山' },
  { id: 81, tag: 'P', text: '攀枝花' },
  { id: 82, tag: 'H', text: '和田' },
  { id: 83, tag: 'K', text: '喀什' },
  { id: 84, tag: 'K', text: '克州' },
  { id: 85, tag: 'A', text: '阿克苏' },
  { id: 86, tag: 'B', text: '巴州' },
  { id: 88, tag: 'B', text: '博尔塔拉' },
  { id: 89, tag: 'T', text: '吐鲁番' },
  { id: 90, tag: 'Y', text: '伊犁' },
  { id: 91, tag: 'H', text: '哈密' },
  { id: 92, tag: 'W', text: '乌鲁木齐' },
  { id: 93, tag: 'C', text: '昌吉' },
  { id: 94, tag: 'T', text: '塔城' },
  { id: 95, tag: 'K', text: '克拉玛' },
  { id: 96, tag: 'A', text: '阿勒泰' },
  { id: 97, tag: 'S', text: '山南' },
  { id: 98, tag: 'L', text: '林芝' },
  { id: 99, tag: 'C', text: '昌都' },
  { id: 100, tag: 'L', text: '拉萨' },
  { id: 101, tag: 'N', text: '那曲' },
  { id: 102, tag: 'R', text: '日喀则' },
  { id: 103, tag: 'A', text: '阿里' },
  { id: 104, tag: 'K', text: '昆明' },
  { id: 105, tag: 'C', text: '楚雄' },
  { id: 106, tag: 'Y', text: '玉溪' },
  { id: 107, tag: 'H', text: '红河' },
  { id: 108, tag: 'P', text: '普洱' },
  { id: 109, tag: 'X', text: '西双版纳' },
  { id: 110, tag: 'L', text: '临沧' },
  { id: 111, tag: 'D', text: '大理' },
  { id: 112, tag: 'B', text: '保山' },
  { id: 113, tag: 'N', text: '怒江' },
  { id: 114, tag: 'L', text: '丽江' },
  { id: 115, tag: 'D', text: '迪庆' },
  { id: 116, tag: 'D', text: '德宏' },
  { id: 117, tag: 'Z', text: '张掖' },
  { id: 118, tag: 'W', text: '武威' },
  { id: 119, tag: 'D', text: '东莞' },
  { id: 120, tag: 'D', text: '东沙群岛' },
  { id: 121, tag: 'S', text: '三亚' },
  { id: 122, tag: 'E', text: '鄂州' },
  { id: 123, tag: 'W', text: '乌海' },
  { id: 124, tag: 'L', text: '莱芜' },
  { id: 125, tag: 'H', text: '海口' },
  { id: 126, tag: 'B', text: '蚌埠' },
  { id: 127, tag: 'H', text: '合肥' },
  { id: 128, tag: 'F', text: '阜阳' },
  { id: 129, tag: 'W', text: '芜湖' },
  { id: 130, tag: 'A', text: '安庆' },
  { id: 131, tag: 'B', text: '北京' },
  { id: 132, tag: 'C', text: '重庆' },
  { id: 133, tag: 'N', text: '南平' },
  { id: 134, tag: 'Q', text: '泉州' },
  { id: 135, tag: 'Q', text: '庆阳' },
  { id: 136, tag: 'D', text: '定西' },
  { id: 137, tag: 'S', text: '韶关' },
  { id: 138, tag: 'F', text: '佛山' },
  { id: 139, tag: 'M', text: '茂名' },
  { id: 140, tag: 'Z', text: '珠海' },
  { id: 141, tag: 'M', text: '梅州' },
  { id: 142, tag: 'G', text: '桂林' },
  { id: 143, tag: 'H', text: '河池' },
  { id: 144, tag: 'C', text: '崇左' },
  { id: 145, tag: 'Q', text: '钦州' },
  { id: 146, tag: 'G', text: '贵阳' },
  { id: 147, tag: 'L', text: '六盘水' },
  { id: 148, tag: 'Q', text: '秦皇岛' },
  { id: 149, tag: 'C', text: '沧州' },
  { id: 150, tag: 'S', text: '石家庄' },
  { id: 151, tag: 'H', text: '邯郸' },
  { id: 152, tag: 'X', text: '新乡' },
  { id: 153, tag: 'L', text: '洛阳' },
  { id: 154, tag: 'S', text: '商丘' },
  { id: 155, tag: 'X', text: '许昌' },
  { id: 156, tag: 'X', text: '襄樊' },
  { id: 157, tag: 'J', text: '荆州' },
  { id: 158, tag: 'C', text: '长沙' },
  { id: 159, tag: 'H', text: '衡阳' },
  { id: 160, tag: 'Z', text: '镇江' },
  { id: 161, tag: 'N', text: '南通' },
  { id: 162, tag: 'H', text: '淮安' },
  { id: 163, tag: 'N', text: '南昌' },
  { id: 164, tag: 'X', text: '新余' },
  { id: 165, tag: 'T', text: '通化' },
  { id: 166, tag: 'J', text: '锦州' },
  { id: 167, tag: 'D', text: '大连' },
  { id: 168, tag: 'W', text: '乌兰察布' },
  { id: 169, tag: 'B', text: '巴彦淖尔' },
  { id: 170, tag: 'W', text: '渭南' },
  { id: 171, tag: 'B', text: '宝鸡' },
  { id: 172, tag: 'Z', text: '枣庄' },
  { id: 173, tag: 'R', text: '日照' },
  { id: 174, tag: 'D', text: '东营' },
  { id: 175, tag: 'W', text: '威海' },
  { id: 176, tag: 'T', text: '太原' },
  { id: 177, tag: 'W', text: '文山' },
  { id: 178, tag: 'W', text: '温州' },
  { id: 179, tag: 'H', text: '杭州' },
  { id: 180, tag: 'N', text: '宁波' },
  { id: 181, tag: 'Z', text: '中卫' },
  { id: 182, tag: 'L', text: '临夏' },
  { id: 183, tag: 'L', text: '辽源' },
  { id: 184, tag: 'F', text: '抚顺' },
  { id: 185, tag: 'A', text: '阿坝' },
  { id: 186, tag: 'Y', text: '宜宾' },
  { id: 187, tag: 'Z', text: '中山' },
  { id: 188, tag: 'B', text: '亳州' },
  { id: 189, tag: 'C', text: '滁州' },
  { id: 190, tag: 'X', text: '宣城' },
  { id: 191, tag: 'L', text: '廊坊' },
  { id: 192, tag: 'N', text: '宁德' },
  { id: 193, tag: 'L', text: '龙岩' },
  { id: 194, tag: 'S', text: '厦门' },
  { id: 195, tag: 'P', text: '莆田' },
  { id: 196, tag: 'T', text: '天水' },
  { id: 197, tag: 'Q', text: '清远' },
  { id: 198, tag: 'Z', text: '湛江' },
  { id: 199, tag: 'Y', text: '阳江' },
  { id: 200, tag: 'H', text: '河源' },
  { id: 201, tag: 'C', text: '潮州' },
  { id: 202, tag: 'L', text: '来宾' },
  { id: 203, tag: 'B', text: '百色' },
  { id: 204, tag: 'F', text: '防城港' },
  { id: 205, tag: 'T', text: '铜仁' },
  { id: 206, tag: 'B', text: '毕节' },
  { id: 207, tag: 'C', text: '承德' },
  { id: 208, tag: 'H', text: '衡水' },
  { id: 209, tag: 'P', text: '濮阳' },
  { id: 210, tag: 'K', text: '开封' },
  { id: 211, tag: 'J', text: '焦作' },
  { id: 212, tag: 'S', text: '三门峡' },
  { id: 213, tag: 'P', text: '平顶山' },
  { id: 214, tag: 'X', text: '信阳' },
  { id: 215, tag: 'H', text: '鹤壁' },
  { id: 216, tag: 'S', text: '十堰' },
  { id: 217, tag: 'J', text: '荆门' },
  { id: 218, tag: 'W', text: '武汉' },
  { id: 219, tag: 'C', text: '常德' },
  { id: 220, tag: 'Y', text: '岳阳' },
  { id: 221, tag: 'L', text: '娄底' },
  { id: 222, tag: 'Z', text: '株洲' },
  { id: 223, tag: 'Y', text: '盐城' },
  { id: 224, tag: 'S', text: '苏州' },
  { id: 225, tag: 'J', text: '景德镇' },
  { id: 226, tag: 'F', text: '抚州' },
  { id: 227, tag: 'B', text: '本溪' },
  { id: 228, tag: 'P', text: '盘锦' },
  { id: 229, tag: 'B', text: '包头' },
  { id: 230, tag: 'A', text: '阿拉善盟' },
  { id: 231, tag: 'Y', text: '榆林' },
  { id: 232, tag: 'T', text: '铜川' },
  { id: 233, tag: 'X', text: '西安' },
  { id: 234, tag: 'L', text: '临沂' },
  { id: 235, tag: 'B', text: '滨州' },
  { id: 236, tag: 'Q', text: '青岛' },
  { id: 237, tag: 'S', text: '朔州' },
  { id: 238, tag: 'J', text: '晋中' },
  { id: 239, tag: 'B', text: '巴中' },
  { id: 240, tag: 'M', text: '绵阳' },
  { id: 241, tag: 'G', text: '广安' },
  { id: 242, tag: 'Z', text: '资阳' },
  { id: 243, tag: 'Q', text: '衢州' },
  { id: 244, tag: 'T', text: '台州' },
  { id: 245, tag: 'Z', text: '舟山' },
  { id: 246, tag: 'G', text: '固原' },
  { id: 247, tag: 'G', text: '甘南' },
  { id: 248, tag: 'N', text: '内江' },
  { id: 249, tag: 'Q', text: '曲靖' },
  { id: 250, tag: 'H', text: '淮南' },
  { id: 251, tag: 'C', text: '巢湖' },
  { id: 252, tag: 'H', text: '黄山' },
  { id: 253, tag: 'H', text: '淮北' },
  { id: 254, tag: 'S', text: '三明' },
  { id: 255, tag: 'Z', text: '漳州' },
  { id: 256, tag: 'L', text: '陇南' },
  { id: 257, tag: 'G', text: '广州' },
  { id: 258, tag: 'Y', text: '云浮' },
  { id: 259, tag: 'J', text: '揭阳' },
  { id: 260, tag: 'H', text: '贺州' },
  { id: 261, tag: 'N', text: '南宁' },
  { id: 262, tag: 'Z', text: '遵义' },
  { id: 263, tag: 'A', text: '安顺' },
  { id: 264, tag: 'Z', text: '张家口' },
  { id: 265, tag: 'T', text: '唐山' },
  { id: 266, tag: 'X', text: '邢台' },
  { id: 267, tag: 'A', text: '安阳' },
  { id: 268, tag: 'Z', text: '郑州' },
  { id: 269, tag: 'Z', text: '驻马店' },
  { id: 270, tag: 'Y', text: '宜昌' },
  { id: 271, tag: 'H', text: '黄冈' },
  { id: 272, tag: 'Y', text: '益阳' },
  { id: 273, tag: 'S', text: '邵阳' },
  { id: 274, tag: 'X', text: '湘西' },
  { id: 275, tag: 'C', text: '郴州' },
  { id: 276, tag: 'T', text: '泰州' },
  { id: 277, tag: 'S', text: '宿迁' },
  { id: 278, tag: 'Y', text: '宜春' },
  { id: 279, tag: 'Y', text: '鹰潭' },
  { id: 280, tag: 'C', text: '朝阳' },
  { id: 281, tag: 'Y', text: '营口' },
  { id: 282, tag: 'D', text: '丹东' },
  { id: 283, tag: 'E', text: '鄂尔多斯' },
  { id: 284, tag: 'Y', text: '延安' },
  { id: 285, tag: 'S', text: '商洛' },
  { id: 286, tag: 'J', text: '济宁' },
  { id: 287, tag: 'W', text: '潍坊' },
  { id: 288, tag: 'J', text: '济南' },
  { id: 289, tag: 'S', text: '上海' },
  { id: 290, tag: 'J', text: '晋城' },
  { id: 291, tag: 'N', text: '南充' },
  { id: 292, tag: 'L', text: '丽水' },
  { id: 293, tag: 'S', text: '绍兴' },
  { id: 294, tag: 'H', text: '湖州' },
  { id: 295, tag: 'B', text: '北海' },
  { id: 297, tag: 'C', text: '赤峰' },
  { id: 298, tag: 'L', text: '六安' },
  { id: 299, tag: 'C', text: '池州' },
  { id: 300, tag: 'F', text: '福州' },
  { id: 301, tag: 'H', text: '惠州' },
  { id: 302, tag: 'J', text: '江门' },
  { id: 303, tag: 'S', text: '汕头' },
  { id: 304, tag: 'W', text: '梧州' },
  { id: 305, tag: 'L', text: '柳州' },
  { id: 306, tag: 'Q', text: '黔南' },
  { id: 307, tag: 'B', text: '保定' },
  { id: 308, tag: 'Z', text: '周口' },
  { id: 309, tag: 'N', text: '南阳' },
  { id: 310, tag: 'X', text: '孝感' },
  { id: 311, tag: 'H', text: '黄石' },
  { id: 312, tag: 'Z', text: '张家界' },
  { id: 313, tag: 'X', text: '湘潭' },
  { id: 314, tag: 'Y', text: '永州' },
  { id: 315, tag: 'N', text: '南京' },
  { id: 316, tag: 'X', text: '徐州' },
  { id: 317, tag: 'W', text: '无锡' },
  { id: 318, tag: 'J', text: '吉安' },
  { id: 319, tag: 'H', text: '葫芦岛' },
  { id: 320, tag: 'A', text: '鞍山' },
  { id: 321, tag: 'H', text: '呼和浩特' },
  { id: 322, tag: 'W', text: '吴忠' },
  { id: 323, tag: 'X', text: '咸阳' },
  { id: 324, tag: 'A', text: '安康' },
  { id: 325, tag: 'T', text: '泰安' },
  { id: 326, tag: 'Y', text: '烟台' },
  { id: 327, tag: 'L', text: '吕梁' },
  { id: 328, tag: 'Y', text: '运城' },
  { id: 329, tag: 'G', text: '广元' },
  { id: 330, tag: 'S', text: '遂宁' },
  { id: 331, tag: 'L', text: '泸州' },
  { id: 332, tag: 'T', text: '天津' },
  { id: 333, tag: 'J', text: '金华' },
  { id: 334, tag: 'J', text: '嘉兴' },
  { id: 335, tag: 'S', text: '石嘴山' },
  { id: 336, tag: 'Z', text: '昭通' },
  { id: 337, tag: 'T', text: '铜陵' },
  { id: 338, tag: 'Z', text: '肇庆' },
  { id: 339, tag: 'S', text: '汕尾' },
  { id: 340, tag: 'S', text: '深圳' },
  { id: 341, tag: 'G', text: '贵港' },
  { id: 342, tag: 'Q', text: '黔东南' },
  { id: 343, tag: 'Q', text: '黔西南' },
  { id: 344, tag: 'L', text: '漯河' },
  { id: 346, tag: 'Y', text: '扬州' },
  { id: 347, tag: 'L', text: '连云港' },
  { id: 348, tag: 'C', text: '常州' },
  { id: 349, tag: 'J', text: '九江' },
  { id: 350, tag: 'P', text: '萍乡' },
  { id: 351, tag: 'L', text: '辽阳' },
  { id: 352, tag: 'H', text: '汉中' },
  { id: 353, tag: 'H', text: '菏泽' },
  { id: 354, tag: 'Z', text: '淄博' },
  { id: 355, tag: 'D', text: '大同' },
  { id: 356, tag: 'C', text: '长治' },
  { id: 357, tag: 'Y', text: '阳泉' },
  { id: 358, tag: 'M', text: '马鞍山' },
  { id: 359, tag: 'P', text: '平凉' },
  { id: 360, tag: 'Y', text: '银川' },
  { id: 361, tag: 'Y', text: '玉林' },
  { id: 362, tag: 'X', text: '咸宁' },
  { id: 363, tag: 'H', text: '怀化' },
  { id: 364, tag: 'S', text: '上饶' },
  { id: 365, tag: 'G', text: '赣州' },
  { id: 366, tag: 'L', text: '聊城' },
  { id: 367, tag: 'X', text: '忻州' },
  { id: 368, tag: 'L', text: '临汾' },
  { id: 369, tag: 'D', text: '达州' },
  { id: 370, tag: 'S', text: '宿州' },
  { id: 371, tag: 'S', text: '随州' },
  { id: 372, tag: 'D', text: '德州' },
  { id: 373, tag: 'E', text: '恩施' },
  { id: 1277, tag: 'J', text: '济源' },
  { id: 2911, tag: 'A', text: '澳门' },
  { id: 2912, tag: 'X', text: '香港' }
]

const judgeArea = []

export default area

export const areas = () => {
  if (judgeArea.length !== 0) return judgeArea
  let initial = []
  let cells = {}
  area.sort((a, b) => {
    return a.tag.charCodeAt() - b.tag.charCodeAt()
  })
  area.forEach(item => {
    if (initial.indexOf(item.tag) === -1) {
      initial.push(item.tag)
      cells[item.tag] = []
      judgeArea.push({
        initial: item.tag,
        cells: cells[item.tag]
      })
    }
    cells[item.tag].push({
      id: item.id,
      text: item.text
    })
  })
  return judgeArea
}
