import Vue from 'vue'
import Router from 'vue-router'
// import {setBusiness, getBusiness, removeItem, removeAddr} from '@/utils/sessionStorage'
// import {removeToken, removeEntity, removeUser} from '@/common/js/cookie'

Vue.use(Router)
window.share = {
  config: {}
}
const routers = [
  {
    path: '/list', // :type params
    meta: {
      title: '已报名数据',
      keepAlived: true, // 是否开启页面缓存
      share: true// 是否开启页面分享
    },
    name: 'list',
    component: () => import('@/views/index')
  },
  {
    path: '/',
    meta: {
      title: '兰州大学兰州校友会大会报名',
      keepAlived: false, // 是否开启页面缓存
      share: false // 是否开启页面分享
    },
    name: 'list',
    component: () => import('@/views/save')
  }
]
const RouterConfig = {
  // mode: 'hash',
  mode: 'history',
  base: '/',
  routes: routers
}
// let router = new Router(RouterConfig)
export const router = new Router(RouterConfig)

/**
 *路由拦截
 */
router.beforeEach((to, from, next) => {
  next()
})
router.afterEach(to => { })
