let typeArray = [
  'String',
  'Function',
  'Array',
  'Number',
  'RegExp',
  'Object',
  'Date'
]
let xgs = {}
typeArray.forEach(item => {
  xgs['is' + item] = obj => {
    return Object.prototype.toString.apply(obj) === '[object ' + item + ']'
  }
})
xgs.treeTransform = function (sNodes, id, pid, children) {
  let key = id || 'id'
  let parentKey = pid || 'parentId'
  let childKey = children || 'children'
  let i
  let l
  if (!key || key === '' || !sNodes) return []
  if (Object.prototype.toString.call(sNodes) === '[object Array]') {
    let r = []
    let tmpMap = []
    for (i = 0, l = sNodes.length; i < l; i++) {
      tmpMap[sNodes[i][key]] = sNodes[i]
    }
    for (i = 0, l = sNodes.length; i < l; i++) {
      if (
        tmpMap[sNodes[i][parentKey]] &&
        sNodes[i][key] !== sNodes[i][parentKey]
      ) {
        if (!tmpMap[sNodes[i][parentKey]][childKey]) {
          tmpMap[sNodes[i][parentKey]][childKey] = []
        }
        tmpMap[sNodes[i][parentKey]][childKey].push(sNodes[i])
      } else {
        r.push(sNodes[i])
      }
    }
    return r
  } else {
    return [sNodes]
  }
}
export default xgs
